org.eclipse.wst.jsdt.chromium.debug.core.model

## Interface VmResource

    public interface VmResource

A representation of V8 VM resource in a virtual project. The exact nature of the resource is specified by metadata. However the exact type of metadata is only known in runtime.

### Nested Class Summary

Nested Classes
`static interface` `VmResource.Metadata` Defines a logic behind a particular resource.
`static interface` `VmResource.ScriptHolder` A special kind of `VmResource.Metadata` that describes a resource directly linked to a resource in VM.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `deleteResourceAndFile()`
`VmResourceId` `getId()`
`java.lang.String` `getLocalVisibleFileName()`
`VmResource.Metadata` `getMetadata()`
`IFile` `getVProjectFile()`

### Method Detail

#### getId

    VmResourceId getId()

#### getMetadata

    VmResource.Metadata getMetadata()

#### getVProjectFile

    IFile getVProjectFile()

#### getLocalVisibleFileName

    java.lang.String getLocalVisibleFileName()

Returns:
  a name of the file as a user sees it (i.e. without .chromium suffix)

#### deleteResourceAndFile

    void deleteResourceAndFile()